### direct log messages to stdout ###
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %5p %c{1}:%L - %m%n

### set log levels - for more verbose logging change 'info' to 'debug' ##

log4j.rootLogger=info, stdout

log4j.logger.de.mpiwg=debug, file

#log4j.logger.cl.dialectic=info, stdout

#log4j.logger.net.sf.hibernate=debug, stdout
#Hibernate
#log4j.logger.org.hibernate.cfg=debug, file
#log4j.logger.org.hibernate.cfg.annotations.Version=info, stdout
#log4j.logger.org.hibernate.cfg.Environment=info, stdout
#log4j.logger.org.hibernate.cfg.AnnotationBinder=info, stdout


### enable the following line if you want to track down connection ###
### leakages when using DriverManagerConnectionProvider ###
#log4j.logger.net.sf.hibernate.connection.DriverManagerConnectionProvider=trace

### log JDBC bind parameters ###
#log4j.logger.net.sf.hibernate.type=debug

### log prepared statement cache activity ###
#log4j.logger.net.sf.hibernate.ps.PreparedStatementCache=debug
